# Knative Community

*Important*. Before proceeding, please review the Knative community [Code of
Conduct](CODE-OF-CONDUCT.md).

If you any have questions or concerns, please contact the authors at
knative-code-of-conduct@googlegroups.com.

## Welcome!

Welcome to the Knative community!

This is the starting point for becoming a contributor - improving code,
improving docs, giving talks, etc.

*   [Introduction](#introduction)
*   [Knative authors](#knative-authors)
*   [Meetings and work groups](#meetings-and-work-groups)
*   [How can I help?](#how-can-i-help)
*   [Questions and issues](#questions-and-issues)

Other Documents

*   [Code of Conduct](CODE-OF-CONDUCT.md) - all contributors must abide by the
    code of conduct
*   [Contributing to Knative](CONTRIBUTING.md) - guidelines and advice on
    becoming a contributor
*   [Working Groups](WORKING-GROUPS.md) - describes our various working groups
*   [Working Group Processes](WORKING-GROUP-PROCESSES.md) - describes how
    working groups operate
*   [Technical Oversight Committee](TECH-OVERSIGHT-COMMITTEE.md) - describes our
    technical oversight committee
*   [Steering Committee](STEERING-COMMITTEE.md) - describes our steering
    committee
*   [Community Roles](ROLES.md) - describes the roles individuals can assume
    within the Knative community
*   [Reviewing and Merging Pull Requests](REVIEWING.md) - how we manage pull
    requests

## Introduction

Knative is a Kubernetes-based platform to build, deploy, and manage modern serverless workloads.
See [Knative docs](https://github.com/knative/docs) for in-depth information about using Knative.

## Knative authors

Knative is an open source project with an active development community. 
The project was started by Google but has contriubtions from a growing number of
industry-leading companies. For a current list of the authors, see [Authors](https://github.com/knative/serving/blob/master/AUTHORS).

## Meetings and work groups

Knative has public and recorded bi-weekly community meetings.

Each project has one or more [working groups](WORKING-GROUPS.md) driving
the project, and Knative as a single [technical oversight community](TECH-OVERSIGHT-COMMITTEE.md)
monitoring the overall project.

## How can I help

If you're looking for something to do to get your feet wet working on Knative,
look for GitHub issues marked with the Help Wanted label:

*   [Serving issues](https://github.com/knative/serving/issues?q=is%3Aopen+is%3Aissue+label%3A%22community%2Fhelp+wanted%22)
*   [Documentation repo](https://github.com/knative/docs/issues?q=is%3Aopen+is%3Aissue+label%3A%22community%2Fhelp+wanted%22)

Even if there's not an issue opened for it, we can always use more
testing throughout the platform. Similarly, we can always use more docs, richer
docs, insightful docs. Or maybe a cool blog post? And if you're a web developer,
we could use your help in spiffing up our public-facing web site.

## Questions and issues

If you're a developer, operator, or contributor trying to use Knative, the
following resources are available for you:

* [Knative Users](https://groups.google.com/forum/#!forum/knative-users)
* [Knative Developers](https://groups.google.com/forum/#!forum/knative-dev)

For contributors to Knative, we also have [Knative Slack](https://knative.slack.com)

---

Except as otherwise noted, the content of this page is licensed under the
[Creative Commons Attribution 4.0 License](https://creativecommons.org/licenses/by/4.0/),
and code samples are licensed under the
[Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).
