# Knative Steering Committee

The Knative Steering Committee (SC) defines, evolves, and defends the vision,
values, mission, and scope of the project. *The Steering Committee is a
work-in-progress.*

*   [Charter](#charter)
*   [Committee Mechanics](#committee-mechanics)
*   [Committee Members](#committee-members)

## Charter

*   Non-technical project oversight

    *   Define policy for the creation and administration of community groups,
        including [Working Groups](WORKING-GROUPS.md) and Committees.

    *   Define and evolve project governance structures and policies, including
        project role assignment and contributor promotion.

    *   Approve members of the Tech Oversight Committee.

*   Management of project assets

    *   Control access to, establish processes regarding, and provide a final
        escalation path for any Knative repository.

    *   Guided by the TOC for normal business.

    *   Control and delegate access to and establish processes regarding other
        project resources/assets not covered by the above, including web sites
        and their domains, blogs, social-media accounts, etc.

    *   Manage the Knative brand to decide which things can be called “Knative”
        and how that mark can be used in relation to other efforts or vendors.

## Committee Mechanics

The committee's operation and charter may be changed by unanimous consent of
committee members.

In case of extended absence, an absent member will be considered to be in
agreement after 8 days have passed since a proposal was accepted by all present
members. An absent member may appoint a single delegate during absences.

<!-- TODO ## Committee Meeting -->

## Committee Members

The members of the Steering Committee are shown below. Membership in the SC is
determined by current level of contribution to the project. Contribution is
periodically reviewed to ensure proper recognition.

&nbsp;                                                   | Member         | Company | Profile
-------------------------------------------------------- | -------------- | ------- | -------
<img width="30px" src="https://github.com/dewitt.png">   | DeWitt Clinton | Google  | [@dewitt](https://github.com/dewitt)
<img width="30px" src="https://github.com/mchmarny.png"> | Mark Chmarny   | Google  | [@mchmarny](https://github.com/mchmarny)
<img width="30px" src="https://github.com/isdal.png">    | Tomas Isdal    | Google  | [@isdal](https://github.com/isdal)

---

Except as otherwise noted, the content of this page is licensed under the
[Creative Commons Attribution 4.0 License](https://creativecommons.org/licenses/by/4.0/),
and code samples are licensed under the
[Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).
